oasis.names.tc.dss._1_0.core.schema

## Class SignResponse

- java.lang.Object
- - oasis.names.tc.dss._1_0.core.schema.ResponseBaseType
  - - oasis.names.tc.dss._1_0.core.schema.SignResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T10:56:39+01:00",
                 comments="JAXB RI v2.2.11")
      public class SignResponse
      extends ResponseBaseType
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <extension base="{urn:oasis:names:tc:dss:1.0:core:schema}ResponseBaseType">
             <sequence>
               <element ref="{urn:oasis:names:tc:dss:1.0:core:schema}SignatureObject" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SignatureObject` | `getSignatureObject()` Gets the value of the signatureObject property.
    `void` | `setSignatureObject(SignatureObject value)` Sets the value of the signatureObject property.

    - ### Methods inherited from class oasis.names.tc.dss._1_0.core.schema.ResponseBaseType

      `getOptionalOutputs, getProfile, getRequestID, getResult, setOptionalOutputs, setProfile, setRequestID, setResult`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SignResponse

          public SignResponse()

  - ### Method Detail

    - #### getSignatureObject

          public SignatureObject getSignatureObject()

      Gets the value of the signatureObject property.
      Returns:
        possible object is `SignatureObject`

    - #### setSignatureObject

          public void setSignatureObject(SignatureObject value)

      Sets the value of the signatureObject property.
      Parameters:
        `value` - allowed object is `SignatureObject`

Connector Packaging TECHNICAL 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.